# keystone.models.revoke_model module

class keystone.models.revoke_model.RevokeEvent(**kwargs)

  Bases: `object`

  to_dict()

keystone.models.revoke_model.blank_token_data(issued_at)

keystone.models.revoke_model.build_token_values(token)

keystone.models.revoke_model.is_revoked(events, token_data)

  Check if a token matches a revocation event.

  Compare a token against every revocation event. If the token matches an event in the events list, the token is revoked. If the token is compared against every item in the list without a match, it is not considered revoked from the revoke_api.

  Parameters:

    - events – a list of RevokeEvent instances

    - token_data – map based on a flattened view of the token. The required fields are expires_at,`user_id`, project_id, identity_domain_id, assignment_domain_id, trust_id, trustor_id, trustee_id consumer_id and access_token_id

  Returns:

    True if the token matches an existing revocation event, meaning the token is revoked. False is returned if the token does not match any revocation events, meaning the token is considered valid by the revocation API.

keystone.models.revoke_model.matches(event, token_values)

  See if the token matches the revocation event.

  A brute force approach to checking. Compare each attribute from the event with the corresponding value from the token. If the event does not have a value for the attribute, a match is still possible. If the event has a value for the attribute, and it does not match the token, no match is possible, so skip the remaining checks.

  Parameters:

    - event – a RevokeEvent instance

    - token_values – dictionary with set of values taken from the token

  Returns:

    True if the token matches the revocation event, indicating the token has been revoked

this page last updated: 2026-08-17 12:45:24

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug